Summary: Play midi files on FM, GUS and MIDI devices
Name: playmidi
Version: 2.4
Release: 3
Source: ftp://ftp.linpeople.org/pub/People/nathan/playmidi-2.4.tar.gz
Source1: playmidi.wmconfig
Source2: awe_voice.h
Copyright: GPL
Group: Applications/Sound
Patch0: playmidi-2.3-hertz.patch
Patch1: playmidi-2.3-awe2.patch
Patch2: playmidi-2.4-make.patch
BuildRoot: /var/tmp/playmidi-root
Summary(de): Zum Abspielen von midi-Dateien auf FM-, GUS- und MIDI-Gerten
Summary(fr): Joue des fichiers midi sur des priphriques FM, GUS et MIDI.
Summary(tr): FM, GUS ve MIDI aygtlar zerindeki midi dosyalarn alar

%package X11
Summary: X windows interface to MIDI sound player
Requires: playmidi = 2.4
Group: Applications/Sound
Summary(de): X-Windows-Schnittstelle fr den MIDI-Soundplayer
Summary(tr): MIDI ses alc iin X arayz

%description
Plays MIDI sound files through a sound card synthesizer. It includes 
basic drum samples for use with simple FM synthesizers.

%description X11
X program for playing MIDI sound files through a sound card synthesizer. It 
includes basic drum samples for use with simple FM synthesizers.

%description -l de X11
X-Programm zum Abspielen von MIDI-Sounddateien ber einen Soundkarten-
Synthesizer. Enthlt einfache Schlagzeug-Samples fr einfache FM-Synthesizers.

%description -l de
Spielt MIDI-Sounddateien ber einen Soundkarten-Synthesizer ab. Enthlt
einfache Schlagzeug-Samples fr einfache FM-Synthesizer.

%description -l fr X11
Programme X pour jouer des fichiers MIDI par le synthtiseur d'une carte son.
Il contient des exemples de batterie de base pour les synthtiseurs FM simples.

%description -l fr
Programme X pour jouer des fichiers MIDI par le synthtiseur d'une carte son.
Il contient des exemples de batterie de base pour les synthtiseurs FM simples.

%description -l tr X11
MIDI ses dosyalarn alan playmidi uygulamasnn X arayz.

%description -l tr
Bir ses kartnn ses birletiricisi araclyla MIDI ses dosyalarn alar.
FM ses birletirici ile kullanm iin ana davul sesi rnekler ierir.

%prep
%setup -q
cp $RPM_SOURCE_DIR/awe_voice.h .
%patch0 -p1 -b .consthertz
%patch1 -p1 -b .awe2
%patch2 -p1 -b .make

%build
PATH=.:$PATH

%ifarch i386
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" playmidi splaymidi xplaymidi <<EOF
2
EOF
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" playmidi xplaymidi <<EOF
2
EOF
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/{midi,X11/wmconfig}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1,X11R6/bin,X11R6/lib/X11/app-defaults}

install -s -m 755 playmidi $RPM_BUILD_ROOT/usr/bin
install -s -m 755 xplaymidi $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 XPlaymidi.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XPlaymidi

%ifarch i386
install -s -m 755 splaymidi $RPM_BUILD_ROOT/usr/bin
%endif

install -m 644 playmidi.1 $RPM_BUILD_ROOT/usr/man/man1

for n in std.o3 drums.o3 std.sb drums.sb
do
	install -m 644 $n $RPM_BUILD_ROOT/etc/midi/$n
done
install -m 644 $RPM_SOURCE_DIR/playmidi.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/playmidi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc QuickStart COPYING BUGS
/usr/bin/playmidi 
%config /etc/midi/std.o3
%config /etc/midi/std.sb
%config /etc/midi/drums.o3
%config /etc/midi/drums.sb
%ifarch i386
/usr/bin/splaymidi
%endif
/usr/man/man1/playmidi.1

%files X11
%defattr(-,root,root)
%config /usr/X11R6/lib/X11/app-defaults/XPlaymidi
/usr/X11R6/bin/xplaymidi
/etc/X11/wmconfig/playmidi

%changelog
* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- updated to version 2.4

* Wed Sep  9 1998 Bill Nottingham <notting@redhat.com>
- added AWE32 support

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root
- sound font data in /etc/midi

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig entries

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
